List comments

Lists all comments.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Returns a paginated list of comments for all posts in all channels.

Pass the organization ID in the organization header.

You can use Pagination query parameters to improve performance.

To get a filtered list of comments, use the query parameters:

ParameterData typeDescription
parentStringA parent comment ID.
The response will list all the child comments of this parent.
postStringA post ID.
The response will list all the comments for this post.
sinceDateTimeThe response will list all the comment created on or after this date.
Query Params
number

Number of documents that will be returned

number

Page to search. Numbering starts with 0.

string

The sort-by field name and order. Format: <field_name>.<asc|desc> (asc for ascending and desc for descending order). If no order is specified, descending order is used.

string

Parent comment ID

string

Post ID

date-time

Return only comments created after this date

Headers
string
required

The URL of the end-user web application

Response
200

Successful response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!